Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
dayreport.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZStatsMain", "Language" )
| $locale = new eZLocale( $Language )
| $t
if(!is_numeric( $Year)||!is_numeric( $Month)||!is_numeric( $Day)) | $cur_date = new eZDate( $Year, $Month, $Day )
if(! $cur_date->isValid()) | $dayReport =& eZPageViewQuery::dayStats( $Year, $Month, $Day )
if(count( $dayReport) > 0) | else
| $months
| $NextYear = $Year
| $PrevYear = $Year
| $NextMonth = $Month
| $PrevMonth = $Month
| $NextDay = $Day + 1
| $PrevDay = $Day - 1
| $tmp_day = new eZDate( $Year, $Month, 1 )
| $next_date = new eZDate( $NextYear, $NextMonth, $NextDay )

## Variable Documentation

## ◆ $cur_date

$cur_date = new eZDate( $Year, $Month, $Day )

Definition at line 68 of file dayreport.php.

## ◆ $dayReport

if (! $cur_date->isValid()) $dayReport =& eZPageViewQuery::dayStats( $Year, $Month, $Day )

Definition at line 77 of file dayreport.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 28 of file dayreport.php.

## ◆ $Language

$Language = $ini->variable( "eZStatsMain", "Language" )

Definition at line 30 of file dayreport.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 33 of file dayreport.php.

## ◆ $months

$months

Initial value:
= array( 1 => "jan",
2 => "feb",
3 => "mar",
4 => "apr",
5 => "may",
6 => "jun",
7 => "jul",
8 => "aug",
9 => "sep",
10 => "oct",
11 => "nov",
12 => "dec" )

Definition at line 148 of file dayreport.php.

Referenced by _date_diff().

## ◆ $next_date

$next_date = new eZDate( $NextYear, $NextMonth, $NextDay )

Definition at line 209 of file dayreport.php.

## ◆ $NextDay

$NextDay = $Day + 1

Definition at line 171 of file dayreport.php.

## ◆ $NextMonth

$NextMonth = $Month

Definition at line 169 of file dayreport.php.

## ◆ $NextYear

$NextYear = $Year

Definition at line 167 of file dayreport.php.

## ◆ $PrevDay

$PrevDay = $Day - 1

Definition at line 172 of file dayreport.php.

## ◆ $PrevMonth

$PrevMonth = $Month

Definition at line 170 of file dayreport.php.

## ◆ $PrevYear

$PrevYear = $Year

Definition at line 168 of file dayreport.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezstats/admin/" . $ini->variable( "eZStatsMain", "AdminTemplateDir" ),
"kernel/ezstats/admin/intl", $Language, "dayreport.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: dayreport.php:30
$ini
$ini
Definition: dayreport.php:28

Definition at line 41 of file dayreport.php.

## ◆ $tmp_day

$tmp_day = new eZDate( $Year, $Month, 1 )

Definition at line 173 of file dayreport.php.

## ◆ else

if (count($dayReport) > 0) else

Initial value:
{
$t->set_var( "result_list", "" )
$t
$t
Definition: dayreport.php:41

Definition at line 143 of file dayreport.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.